/*	Copyright (C) 2003-2015 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#include "signal.pmh"

namespace fe
{

Library *CreateSignalLibrary(sp<Master>)
{
	fe::Library *pLibrary = new fe::Library();
	pLibrary->setName("default_signal");
	pLibrary->add<fe::ChainSignaler>("SignalerI.Chain.fe");
	pLibrary->add<fe::LogHandler>("HandlerI.Log.fe");
	pLibrary->add<fe::PushSequencer>("SequencerI.Push.fe");
	return pLibrary;
}

}

