import sys
forge = sys.modules["forge"]

def setup(module):

	srcList = [	"native.pmh",
				"assertNative",
				"NativeEventContext",
				"NativeEventContextGDI",
				"NativeEventContextXWIN",
				"NativeEventContextCARBON",
				"NativeWindow",
				"NativeWindowGDI",
				"NativeWindowXWIN",
				"NativeWindowCARBON",
				"nativeDL",
				"weight" ]

	dll = module.DLL( "fexNativeWindowDL", srcList )

	dll.linkmap = { "gfxlibs": forge.gfxlibs }

	was_deplibs = forge.corelibs+ [
				"feSignalLib",
				"fexDataToolDLLib",
				"fexWindowDLLib" ]

	deplibs = forge.corelibs + [ "feSignalLib" ]

	# win32
	now_deplibs = forge.corelibs + [
				"feSignalLib",
				"fexDataToolDLLib" ]

	forge.deps( ["fexNativeWindowDLLib"], now_deplibs )

	forge.tests += [
		("inspect.exe",		"fexNativeWindowDL",			None,		None) ]

	module.Module( 'test' )
